/* ==========================================================================
   Blog Common style - begin
   ========================================================================== */

.mkdf-blog-holder {
    @include mkdfRelativeHolderLayout();
    margin: 0 0 40px;
    clear: both;

    article {
        @include mkdfRelativeHolderLayout();
        box-sizing: border-box;

        &.sticky {

            .mkdf-post-title a {
                color: $first-main-color;
            }
        }

        .mkdf-post-content {
            @include mkdfRelativeHolderLayout();
        }

        .mkdf-post-image {
            position: relative;
            display: inline-block;
            vertical-align: middle;
            max-width: 100%;

            img {
                display: block;
            }
        }

        .mkdf-post-text {
            @include mkdfRelativeHolderLayout();
            box-sizing: border-box;
        }
    
        .mkdf-post-title {
            margin: 0;
        }

        .mkdf-post-excerpt {

            &:after {
                content: '...';
            }
        }

        .mkdf-post-info {
            @include mkdfRelativeHolderLayout();

            > * {
                position: relative;
                display: inline-block;
                vertical-align: top;
                color: currentColor;

                a {
                    color: inherit;
                }
            }
        }

        //Gallery post style
        &.format-gallery {

            .mkdf-post-image {
                width: 100%;
            }

            .owl-carousel .owl-item {
                z-index: 2;

                &.active {
                    z-index: 3;
                }
            }
        }

        //Audio post style
        &.format-audio {

            .mkdf-blog-audio-holder {

                .mejs-container, .mejs-embed, .mejs-embed body, .mejs-container .mejs-controls {
                    background: none;
                }

                .mejs-container {
                    background-color: $default-heading-color;
                }

                .mejs-container,
                .mejs-container .mejs-controls {
                    height: 38px !important;
                }

                .mejs-container .mejs-controls {
                    padding: 0 10px 0 4px;
                    box-sizing: border-box;
                }

                .mejs-container .mejs-controls > .mejs-playpause-button {
                    width: 39px;
                }

                .mejs-container .mejs-controls > .mejs-volume-button {
                    width: 30px;
                }

                .mejs-container .mejs-controls > .mejs-playpause-button,
                .mejs-container .mejs-controls > .mejs-volume-button {
                    height: 38px;

                    button {
                        position: relative;
                        height: 100%;
                        background: none;
                        background-position: center;
                        background-repeat: no-repeat;
                        margin: 0;
                        border: 0;
                        outline: none;
                    }

                    &.mejs-play button {
                        width: 39px;
                        background-image: url('../img/audio/play.png');
                    }

                    &.mejs-pause button {
                        width: 39px;
                        background-image: url('../img/audio/pause.png');
                    }

                    &.mejs-stop button {
                        width: 39px;
                        background-image: url('../img/audio/stop.png');
                    }

                    &.mejs-mute button {
                        width: 30px;
                        background-image: url('../img/audio/sound.png');
                    }

                    &.mejs-unmute button {
                        width: 30px;
                        background-image: url('../img/audio/mute.png');
                    }
                }

                .mejs-container .mejs-controls > .mejs-time {
                    height: 100%;
                    padding: 0;
                    font-family: inherit;
                    font-size: 13px;
                    color: #fff;
                    line-height: 36px;
                }

                .mejs-container .mejs-controls > .mejs-time-rail {
                    height: 100%;
                    padding: 0;
                    font-family: inherit;

                    .mejs-time-total {
                        height: 5px;
                        margin: 15px 14px;
                        background: none;
                        background-color: #fff;

                        .mejs-time-current {
                            height: 5px;
                            background-color: $first-main-color;
                        }

                        .mejs-time-float {
                            top: -14px;
                            border: 0;
                            color: #fff;

                            .mejs-time-float-corner {
                                border-top-color: $default-heading-color;
                            }
                        }

                        .mejs-time-loaded,
                        .mejs-time-float {
                            background: none;
                        }
                    }
                }

                .mejs-container .mejs-controls > a.mejs-horizontal-volume-slider {
                    height: 38px;

                    .mejs-horizontal-volume-total,
                    .mejs-horizontal-volume-current {
                        height: 5px;
                        top: 15px;
                        background: none;
                    }

                    .mejs-horizontal-volume-total {
                        background-color: #fff;
                    }

                    .mejs-horizontal-volume-current {
                        background-color: $first-main-color;
                    }
                }
            }
        }

        &.format-video {
            .mkdf-self-hosted-video {
                max-width: 100%;
            }
        }
    }
}

/* ==========================================================================
   Blog Common style - end
   ========================================================================== */